#!/bin/sh

if [ -z $JAVA_HOME ]
then
    echo ". =================================================="
    echo "."
    echo ". Please, set JAVA_HOME before running this script."
    echo "."
    echo ". =================================================="
    exit;
fi

if [ ! -f "$JAVA_HOME/bin/java" ]
then
    echo ". =================================================="
    echo "."
    echo ". Please, set JAVA_HOME to the path of a valid jdk."
    echo "."
    echo ". =================================================="
    exit;
fi

if [ -z $J2EE_HOME ]
then
    echo ". =================================================="
    echo "."
    echo ". Please, set J2EE_HOME before running this script."
    echo "."
    echo ". =================================================="
    exit;
fi

if [ ! -f bin/install.sh ]
then
    echo ". ===================================================================="
    echo "."
    echo ". Please start this script from the Funambol DS Server home directory."
    echo "."
    echo ". ===================================================================="
    exit;
fi
 
if [[ "$1" != "tomcat50" && "$1" != "tomcat55" ]]
then
   echo ". ============================================================================"
   echo ".                                                   "
   echo ". Please, specify target application sever.         "
   echo ". Syntax:                                           "
   echo ".     install [tomcat50/tomcat55]"
   echo ".                                                   "
   echo ". ============================================================================"
   exit;
fi

if [[ "$1" == "tomcat50" || "$1" == "tomcat55" ]]
then
  if [[ ! -f "$J2EE_HOME/bin/catalina.sh" ]]
  then
   echo ". ================================================================"
   echo ".                                                                 "
   echo ". Please, set J2EE_HOME to the path of a valid Tomcat installation"
   echo ".                                                                 "
   echo ". ================================================================"
   exit;
  fi
fi

# just in case...
chmod +x ./ant/bin/*
unset ANT_HOME

export APPSRV="$1"

./ant/bin/ant -Ddo.install-db=true --noconfig -buildfile ./install/install.xml -q install

# In case the installation created new scripts
chmod +x ./bin/*.sh
